package cn.reghao.autodop.dmaster.machine.db.query;

import cn.reghao.autodop.dmaster.machine.model.po.MachineInfo;
import cn.reghao.jdkutil.db.BaseQuery;

import java.util.List;

/**
 * @author reghao
 * @date 2021-09-15 16:35:03
 */
public interface MachineInfoQuery extends BaseQuery<MachineInfo> {
    MachineInfo findByMachineId(String machineId);
    List<MachineInfo> findByMachineIds(List<String> machineIds);
    List<MachineInfo> findByMachineIpv4(String machineIpv4);
}
